/**
  * ---------------------------------------------------------------------------
  * ~k radix implementation // amethyst nanokernel project
  * ---------------------------------------------------------------------------
  * author: DG.Ward (elderK)
  * contact: 
  *   kyretzn@gmail.com
  *   comeherenightmare@hotmail.com
  *   warddg1@student.op.ac.nz
  *
  * date: May 15th, 2008.
  * version: 0.0.1
  * ---------------------------------------------------------------------------
  * All source herein is licensed under the Creative Commons : Attribution,
  * No Derivative Works license. For more information, please go to this
  * website: http://creativecommons.org/licenses/by-nd/3.0/
  * ---------------------------------------------------------------------------
  * This software is powered by NINE INCH NAILS :^)
  * ---------------------------------------------------------------------------
  *
  **/
#include "radix.h"

/**
  * create_node()
  *
  *     create_node() serves only to allocate and initialize
  *     a node for use.
  *
  *     the call takes zero parameters and will return NULL
  *     on error. On success, it returns a reference to the
  *     newly created / initialized node.
  *
  **/
radix_node_t
*create_node(void)
{
#ifdef __HOSTED__
    /* Allocate'n'Initialize Node */
    radix_node_t *init_node = (radix_node_t *)malloc(sizeof(radix_node_t));
    if(init_node)
        memset(init_node, 0x00, sizeof(radix_node_t));
#endif
    return init_node;
}

